1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Problem nach Update

Dieses Thema im Forum "Installation" wurde erstellt von Axel2301, 1. April 2020.

  1. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Ich habe seit dem Update auf WP 5.4 und einigen Plugins folgende Fehlermeldung im Header:


    Warning: array_key_exists() expects parameter 2 to be array, bool given in /homepages/39/d744599325/htdocs/WordPress/wp-content/plugins/wp-header-images/inc/functions.php on line 285

    Betrifft übrigens diese SEITE
     
    #1 Axel2301, 1. April 2020
    Zuletzt bearbeitet: 1. April 2020
  2. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.195
    Zustimmungen:
    708
    Welche Version des Plugins WP Header Images wird eingesetzt? Aktuell ist 3.0.1, letztes Update vor wenigen Stunden.
     
  3. SirEctor

    SirEctor Well-Known Member
    Ehrenmitglied

    Registriert seit:
    28. Oktober 2008
    Beiträge:
    12.302
    Zustimmungen:
    408
    Welche Version des Plugins "wp-header-images" ist installiert?

    Was sagt der Plugin-Support dazu?
     
  4. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Es handelt sich um das Plugin WP Header Images von Fahad Mahmood.

    Die aktuelle Version lautet 1.8.2 und diese ist auch installiert.
     
  5. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.195
    Zustimmungen:
    708
    Dann solltest Du wohl am besten wie bereits von @SirEctor empfohlen den Plugin Support kontaktieren.

    Vermutlich liefert der Aufruf get_option( 'wphi_gluri_slider') in Zeile 156 bei Dir warum auch immer ein false statt einem Array zurück.

    (hatte oben mit 3.0.1 versehentlich die WordPress Version statt Pluginversion 1.8.2 von der Pluginseite kopiert).
     
  6. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Das habe ich noch nie gemacht bisher, wie geht das?

    Ich muss mich einloggen um einen neuen Topic zu schreiben, aber mit meinen Logindaten meiner Webseite geht das nicht. Was muss ich tun?
     
  7. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.195
    Zustimmungen:
    708
    Dafür ist ein extra Account bei wordpress.org nötig, mit Deiner WordPress Installation hat dieser Account nichts zu tun.
     
  8. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Ok Danke, habe einen Account erstellt und die Frage mit dem Problem ins Support-Forum gesetzt.
     
  9. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Der Support hat folgendes geantwortet:

    You have turned on debugging that's why this warning appeared. This is just a warning. Don't worry about it. We'll fix it soon.
     
  10. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Ich habe nun in der wp-config.php folgenden Code gefunden:

    define('WP_DEBUG', false);

    Aber dann dürfte diese Fehlermeldung doch gar nicht im Frontend auftauchen?
     
  11. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.195
    Zustimmungen:
    708
    Hinweis am Rande, in Deiner Supportunterhaltung wurden fälschlicherweise "curly" Anführungszeichen verwendet, vermutlich durch das Forensystem bei wordpress.org bzw. die fehlende Markierung als Code dort.

    Hier der dort genannte Fix für die Zeile 156 mit korrekten Anführungszeichen für copy&paste:
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
     
  12. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Mega!!!

    Vielen Dank, genau das war das Problem! :)
     
  13. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.195
    Zustimmungen:
    708
    Ok, teile das am besten zeitnah noch dem Plugin Support mit, damit der sich nicht unnötig den Kopf zerbrechen muss...

    Ergänzung: Das eigentliche Problem ist, dass bei Dir trotz der genannten Einstellung zu WP_DEBUG dieser Hinweis ausgegeben wurde. Das sollte eigentlich nicht sein. Evtl. ist die Problematik da ähnlich gelagert, zumindest in der Supportunterhaltung sind auch bei Deiner Zeile falsche Anführungszeichen verwendet, korrekt wäre:
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
     
    #13 b3317133, 1. April 2020
    Zuletzt bearbeitet: 1. April 2020
  14. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Danke nochmals, ich habe das jetzt auch ins Support Forum geschrieben.
     
  15. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.195
    Zustimmungen:
    708
    Das inzwischen ergänzte weitere Codebeispiel des Plugin Supports ist übrigens leider auch falsch formatiert und hat derzeit gebogene / curly Quotes “ ” statt einfachen Anführungszeichen " ", ein kleiner aber feiner Unterschied, Du kannst den Autor ja noch darauf hinweisen wenn Du möchtest.

    Falsch:
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Korrekt:
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Vermutlich einfach ein Bedienungs-/Verständnisproblem mit dem Editor dort...
     
  16. Axel2301

    Axel2301 Well-Known Member

    Registriert seit:
    26. August 2012
    Beiträge:
    238
    Zustimmungen:
    0
    Ich habe es jetzt auch ins Support Forum geschrieben.

    Danke b3317133 ;)
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden